Win a copy of Re-engineering Legacy Software this week in the Refactoring forum
or Docker in Action in the Agile forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Error with Spring 3.0 in deployment.

 
Mithil Wane
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I'm quite a newbie in spring. After doing the FormController in a easy way I tried to use Hibernate with spring but its giving me an error while deploying.



Am using JBoss 4.3,Spring 3.0.2 and Hibernate 3.2.1
Here are the xmls


persistenceContext.xml



construction-servlet.xml


and finally

web.xml



Regards
Mithil

 
Mark Secrist
Ranch Hand
Posts: 89
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Mithil,
I think the problem is you're missing a Spring JAR dependency. The file you need is the spring-aspects-3.0.2.RELEASE.jar file. If you are using Maven, you can add the following to your POM file.



I hope this helps.

Mark
 
David Newton
Author
Rancher
Posts: 12617
IntelliJ IDE Ruby
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Are you deploying the appropriate Spring jar(s)?
 
Mithil Wane
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I'm not using Maven. There are two eclipse projects Construction and ConstructionMVC. Construction has all of the base classes related to Hibernate and the MVC project has spring MVC things.

Am attaching screenshots of the two project so that you guys understand.
ScrShot Construction.jpg
Constrcution Project
[Thumbnail for ScrShot Construction.jpg]
MVC.jpg
ConstructionMVC project
[Thumbnail for MVC.jpg]
 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
"mithilwane",
Welcome to the ranch. You may not be aware of the ranch Naming Policy. Please read it carefully and change your name accordingly (you need to set both first and last name). Thank you.
 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Make sure that all the necessary JARs are in your WAR file. Unpack it and check that they are all in there.
 
Mithil Wane
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I did include more jars. So the previous error have gone. But another new one popped up. Let me know which jar to include.

 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Let me know which jar to include.

Please check this post first.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic